#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(nvidia_p2p_init_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_destroy_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_page_table, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_map_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_unmap_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_dma_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_register_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_unregister_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_get_rm_ops, "_gpl", "");
KSYMTAB_FUNC(nvidia_register_error_cb, "", "");
KSYMTAB_FUNC(nvidia_unregister_error_cb, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnregisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAddressSpace, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocFB, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocSys, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetP2PCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetPmaObject, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaRegisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaUnregisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaAllocPages, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaPinPages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryFree, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaFreePages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuUnMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCopyEnginesCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetGpuInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceServiceDeviceInterruptsRM, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnsetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAllocation, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupMemory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFreeDupedHandle, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetFbInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetEccInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceOwnPageFaultIntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceEnableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceHasPendingNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFlushReplayableFaultBuffer, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTogglePrefetchFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDisableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterUvmCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeRegisterUvmOps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNvlinkInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPhysAddrs, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRetainChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceBindChannelResources, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReleaseChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceStopChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetChannelResourcePtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportNonReplayableFault, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsMap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsUnmap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelPushStream, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportFatalError, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslInitContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeinitCslContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateKey, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslEncrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslDecrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslSign, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslQueryMessagePool, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslIncrementIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslLogEncryption, "", "");

SYMBOL_CRC(nvidia_p2p_init_mapping, 0x45bb0ad7, "_gpl");
SYMBOL_CRC(nvidia_p2p_destroy_mapping, 0x180f4b6a, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages, 0x5b3f3e79, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages_persistent, 0x970adefe, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_page_table, 0xf42ca687, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages, 0x642487ac, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages_persistent, 0xacdf3914, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_map_pages, 0xf4c07f97, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_unmap_pages, 0xa864937c, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_dma_mapping, 0x941a6f34, "_gpl");
SYMBOL_CRC(nvidia_p2p_register_rsync_driver, 0xe31756f1, "_gpl");
SYMBOL_CRC(nvidia_p2p_unregister_rsync_driver, 0x020c8e52, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_rsync_registers, 0xa6c57fc1, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_rsync_registers, 0xf166b79a, "_gpl");
SYMBOL_CRC(nvidia_get_rm_ops, 0x193c3c08, "_gpl");
SYMBOL_CRC(nvidia_register_error_cb, 0x3b1d877f, "");
SYMBOL_CRC(nvidia_unregister_error_cb, 0x03d46922, "");
SYMBOL_CRC(nvUvmInterfaceRegisterGpu, 0x4a9915a2, "");
SYMBOL_CRC(nvUvmInterfaceUnregisterGpu, 0xaa9c1109, "");
SYMBOL_CRC(nvUvmInterfaceSessionCreate, 0xbd9bc90d, "");
SYMBOL_CRC(nvUvmInterfaceSessionDestroy, 0xc3385e21, "");
SYMBOL_CRC(nvUvmInterfaceDeviceCreate, 0x972eb9e1, "");
SYMBOL_CRC(nvUvmInterfaceDeviceDestroy, 0x78ba08fc, "");
SYMBOL_CRC(nvUvmInterfaceDupAddressSpace, 0xb000909e, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceCreate, 0xe701a2bb, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceDestroy, 0xa62da25a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocFB, 0x7f03ef2d, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocSys, 0x698f6a77, "");
SYMBOL_CRC(nvUvmInterfaceGetP2PCaps, 0x0aa90502, "");
SYMBOL_CRC(nvUvmInterfaceGetPmaObject, 0x525172f0, "");
SYMBOL_CRC(nvUvmInterfacePmaRegisterEvictionCallbacks, 0x90df6793, "");
SYMBOL_CRC(nvUvmInterfacePmaUnregisterEvictionCallbacks, 0x30aeb11d, "");
SYMBOL_CRC(nvUvmInterfacePmaAllocPages, 0x04ca663e, "");
SYMBOL_CRC(nvUvmInterfacePmaPinPages, 0xccdb149b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryFree, 0xd5057c22, "");
SYMBOL_CRC(nvUvmInterfacePmaFreePages, 0x0ffab807, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuMap, 0x55b4744b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuUnMap, 0x4d7a107f, "");
SYMBOL_CRC(nvUvmInterfaceTsgAllocate, 0x71de450f, "");
SYMBOL_CRC(nvUvmInterfaceTsgDestroy, 0xe45112d9, "");
SYMBOL_CRC(nvUvmInterfaceChannelAllocate, 0xb783c89d, "");
SYMBOL_CRC(nvUvmInterfaceChannelDestroy, 0xcd40176d, "");
SYMBOL_CRC(nvUvmInterfaceQueryCaps, 0x9a138db2, "");
SYMBOL_CRC(nvUvmInterfaceQueryCopyEnginesCaps, 0xeb1a59ab, "");
SYMBOL_CRC(nvUvmInterfaceGetGpuInfo, 0xdf8b46ca, "");
SYMBOL_CRC(nvUvmInterfaceServiceDeviceInterruptsRM, 0x19f28917, "");
SYMBOL_CRC(nvUvmInterfaceSetPageDirectory, 0x534759f3, "");
SYMBOL_CRC(nvUvmInterfaceUnsetPageDirectory, 0x4bc0e431, "");
SYMBOL_CRC(nvUvmInterfaceDupAllocation, 0x246cbff7, "");
SYMBOL_CRC(nvUvmInterfaceDupMemory, 0xd18cb4c2, "");
SYMBOL_CRC(nvUvmInterfaceFreeDupedHandle, 0x51f732db, "");
SYMBOL_CRC(nvUvmInterfaceGetFbInfo, 0xf1d38ffd, "");
SYMBOL_CRC(nvUvmInterfaceGetEccInfo, 0xa452244c, "");
SYMBOL_CRC(nvUvmInterfaceOwnPageFaultIntr, 0xd1600093, "");
SYMBOL_CRC(nvUvmInterfaceInitFaultInfo, 0x1138c8e8, "");
SYMBOL_CRC(nvUvmInterfaceInitAccessCntrInfo, 0xec03a88a, "");
SYMBOL_CRC(nvUvmInterfaceEnableAccessCntr, 0x425912fc, "");
SYMBOL_CRC(nvUvmInterfaceDestroyFaultInfo, 0x1ebf5deb, "");
SYMBOL_CRC(nvUvmInterfaceHasPendingNonReplayableFaults, 0x5b7e7949, "");
SYMBOL_CRC(nvUvmInterfaceGetNonReplayableFaults, 0xe49893bd, "");
SYMBOL_CRC(nvUvmInterfaceFlushReplayableFaultBuffer, 0xd9b60cd6, "");
SYMBOL_CRC(nvUvmInterfaceTogglePrefetchFaults, 0xbef3c5d7, "");
SYMBOL_CRC(nvUvmInterfaceDestroyAccessCntrInfo, 0x064a6a01, "");
SYMBOL_CRC(nvUvmInterfaceDisableAccessCntr, 0x7b23607e, "");
SYMBOL_CRC(nvUvmInterfaceRegisterUvmCallbacks, 0x9b02e313, "");
SYMBOL_CRC(nvUvmInterfaceDeRegisterUvmOps, 0x84ccfdfb, "");
SYMBOL_CRC(nvUvmInterfaceGetNvlinkInfo, 0x49f1262d, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectCreate, 0xf7419bbb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectDestroy, 0xce96a1a4, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPtes, 0x203a44d1, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPhysAddrs, 0xafd0008b, "");
SYMBOL_CRC(nvUvmInterfaceRetainChannel, 0x9ad73756, "");
SYMBOL_CRC(nvUvmInterfaceBindChannelResources, 0xf82d8f8b, "");
SYMBOL_CRC(nvUvmInterfaceReleaseChannel, 0x43e66ecb, "");
SYMBOL_CRC(nvUvmInterfaceStopChannel, 0x27491fbc, "");
SYMBOL_CRC(nvUvmInterfaceGetChannelResourcePtes, 0x710977d6, "");
SYMBOL_CRC(nvUvmInterfaceReportNonReplayableFault, 0x69eb8138, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelAllocate, 0x89e0959d, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelDestroy, 0x892a63e7, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsMap, 0x6fcca1a3, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsUnmap, 0x36e57696, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelPushStream, 0x942fa6aa, "");
SYMBOL_CRC(nvUvmInterfaceReportFatalError, 0xe02a9acb, "");
SYMBOL_CRC(nvUvmInterfaceCslInitContext, 0xb759d51b, "");
SYMBOL_CRC(nvUvmInterfaceDeinitCslContext, 0x7f450da8, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateKey, 0x85c7cadd, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateIv, 0xd15a3e1c, "");
SYMBOL_CRC(nvUvmInterfaceCslEncrypt, 0x2c22b46f, "");
SYMBOL_CRC(nvUvmInterfaceCslDecrypt, 0x9ee2976a, "");
SYMBOL_CRC(nvUvmInterfaceCslSign, 0xc1f02f56, "");
SYMBOL_CRC(nvUvmInterfaceCslQueryMessagePool, 0x1b556dea, "");
SYMBOL_CRC(nvUvmInterfaceCslIncrementIv, 0x5d784826, "");
SYMBOL_CRC(nvUvmInterfaceCslLogEncryption, 0x7bfbe5eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xff9d880f, "init_pid_ns" },
	{ 0x665bbd8, "single_open" },
	{ 0xf69074a4, "pci_restore_state" },
	{ 0xe835c157, "pci_enable_atomic_ops_to_root" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xa885cad7, "device_destroy" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xea2309c0, "module_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9493fc86, "node_states" },
	{ 0xc0b7c197, "hrtimer_start_range_ns" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x7c0497b6, "crypto_shash_update" },
	{ 0xbebc78df, "__kmem_cache_create_args" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x6479fd81, "crypto_shash_import" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdd832fd4, "vmf_insert_pfn_prot" },
	{ 0x9ae36f70, "fput" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x9e21b257, "set_pages_array_wb" },
	{ 0xa7401a20, "pci_write_config_byte" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dfec6ba, "pci_get_domain_bus_and_slot" },
	{ 0x1900399d, "vmap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xedc03953, "iounmap" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x68862213, "vga_set_legacy_decoding" },
	{ 0xd752fbda, "pci_disable_device" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x1548ee05, "node_data" },
	{ 0xf9bf2ede, "__folio_put" },
	{ 0x640b3846, "pci_rebar_get_possible_sizes" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x41fbf5f7, "dma_buf_attach" },
	{ 0x618911fc, "numa_node" },
	{ 0xc24c2548, "crypto_shash_tfm_digest" },
	{ 0xece784c2, "rb_first" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x69e1d306, "pcie_capability_read_word" },
	{ 0xce4d125, "i2c_add_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xed26116f, "pci_get_class" },
	{ 0xf0498477, "cdev_add" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf898371, "dma_buf_detach" },
	{ 0x668b19a1, "down_read" },
	{ 0x5a00f379, "get_task_pid" },
	{ 0xdb83c2ca, "pm_vt_switch_unregister" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x8c78cf7, "offline_and_remove_memory" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x411f5f28, "dma_set_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x80961e2a, "__alloc_pages_noprof" },
	{ 0xc6cbbc89, "capable" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x86dca3df, "crypto_aead_setkey" },
	{ 0x99ed18c4, "__pci_register_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa719d826, "seq_read" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5a921311, "strncmp" },
	{ 0xc46a157d, "dma_buf_unmap_attachment" },
	{ 0xab65ed80, "set_memory_uc" },
	{ 0xe2889a12, "remove_proc_entry" },
	{ 0x28ba0f58, "proc_mkdir_mode" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x85d31f15, "pci_write_config_dword" },
	{ 0xfd623e5e, "pcie_reset_flr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7c729fb7, "pci_read_config_dword" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x754d539c, "strlen" },
	{ 0x6a90bffd, "vm_insert_page" },
	{ 0x45ab4b2c, "remap_pfn_range" },
	{ 0xbf5f2b98, "crypto_destroy_tfm" },
	{ 0xaeff1074, "find_vma_intersection" },
	{ 0xcb796254, "sg_alloc_table_from_pages_segment" },
	{ 0xce807a25, "up_write" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xd89f2bb6, "device_create" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa76b31a2, "crypto_ecdh_shared_secret" },
	{ 0xf767bea6, "pci_enable_device" },
	{ 0xae2c5b71, "crypto_alloc_aead" },
	{ 0x11aaacb5, "pci_set_master" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6b36248d, "pci_dev_put" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xa97f6b30, "const_pcpu_hot" },
	{ 0xfc79eb12, "single_release" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x89b3641f, "proc_create_data" },
	{ 0x3bf17755, "mpi_read_buffer" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x239c6232, "seq_lseek" },
	{ 0x2ed5f2d2, "pci_read_config_byte" },
	{ 0x2b864834, "pci_write_config_word" },
	{ 0xb81a2ead, "dma_buf_export" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xd0e66b97, "pci_assign_unassigned_bus_resources" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xcd7ed91b, "task_active_pid_ns" },
	{ 0xb3bb2933, "iov_iter_kvec" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2386c786, "dev_driver_string" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9305f8e6, "cpufreq_get" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0x2ee1a281, "pci_request_regions" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29ae01d9, "device_property_read_u64_array" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xf66b42d6, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7918d817, "memory_failure" },
	{ 0xa6257a2f, "complete" },
	{ 0xb1dd9d65, "pci_read_config_word" },
	{ 0x6c85e216, "crypto_aead_decrypt" },
	{ 0xfcc1edd3, "memory_block_size_bytes" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1686a280, "ecc_is_pubkey_valid_full" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x5c974c2b, "kmem_cache_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x3a4a93e0, "set_page_dirty_lock" },
	{ 0xb6fde909, "close_fd" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xc4c48326, "kernel_write" },
	{ 0xed4ae15e, "ecc_make_pub_key" },
	{ 0xfddeb056, "efi" },
	{ 0x363160a1, "pid_vnr" },
	{ 0xb520469a, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xce2282ff, "class_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x80d5e57a, "mpi_free" },
	{ 0x8b8b229c, "pci_disable_msix" },
	{ 0x999e8297, "vfree" },
	{ 0x51b1d692, "dma_set_coherent_mask" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x27318732, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xbc60fa7a, "public_key_verify_signature" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c1a5a11, "fd_install" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0xfcbfec70, "add_memory_driver_managed" },
	{ 0xcf2a6966, "up" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9f3a1906, "pci_disable_msi" },
	{ 0xc34dac35, "pv_ops" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4c39326e, "__tracepoint_mmap_lock_start_locking" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9166fada, "strncpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0xb53c57af, "cdev_del" },
	{ 0x3719b935, "dma_buf_map_attachment" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6b96b65d, "put_pid" },
	{ 0xce33db1d, "pci_release_regions" },
	{ 0x1000e51, "schedule" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0x9fe939e1, "mpi_powm" },
	{ 0x41db61bf, "request_firmware" },
	{ 0x58ce7c48, "pci_bus_type" },
	{ 0x731d7e3c, "crypto_aead_encrypt" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xc631580a, "console_unlock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe2b2ef92, "dma_unmap_resource" },
	{ 0xec564d9, "crypto_shash_export" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x233f2d83, "pci_enable_msi" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0xfb578fc5, "memset" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x1d90cd4f, "follow_pfnmap_end" },
	{ 0x98503a63, "mpi_alloc" },
	{ 0xea82d349, "hrtimer_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4afd9448, "__dma_sync_single_for_cpu" },
	{ 0xee37d17c, "kthread_create_on_node" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x77358855, "iomem_resource" },
	{ 0xeafa6ed3, "is_acpi_device_node" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x3dc431c1, "class_destroy" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x6e990e91, "pci_resize_resource" },
	{ 0x63256807, "pci_enable_msix_range" },
	{ 0x191b727f, "dma_ops" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x148653, "vsnprintf" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xf6da1e2, "kthread_stop" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x53b954a2, "up_read" },
	{ 0xbe20574d, "crypto_alloc_shash" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x71445e30, "__seq_puts" },
	{ 0xa916b694, "strnlen" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc4d825e2, "kernel_read" },
	{ 0xb9de5ff8, "__mmap_lock_do_trace_start_locking" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xf0956ab, "seq_read_iter" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc5f330f2, "dma_free_attrs" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x9af4addd, "unpin_user_page" },
	{ 0xcff6fd75, "pci_find_capability" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x55a3449e, "key_type_asymmetric" },
	{ 0x59100486, "ecc_get_curve" },
	{ 0x33fff614, "try_module_get" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xd482ed3b, "__put_devmap_managed_folio_refs" },
	{ 0x66bfe50e, "pci_find_host_bridge" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x2368aa4f, "pci_iomap" },
	{ 0xcb5f92d7, "unmap_mapping_range" },
	{ 0x6626afca, "down" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6630ee5b, "dma_map_resource" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3a9a0f77, "pcibios_resource_to_bus" },
	{ 0x67e34286, "pci_stop_and_remove_bus_device" },
	{ 0x6271c5a6, "fget" },
	{ 0x89b5c086, "kmem_cache_free" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x9705636, "crypto_shash_final" },
	{ 0x94961283, "vunmap" },
	{ 0xceb1f126, "mpi_read_raw_data" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x37a0cba, "kfree" },
	{ 0xc77345f5, "filp_close" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd6315f31, "ecc_gen_privkey" },
	{ 0xb65d8207, "dma_alloc_attrs" },
	{ 0xa366c3dc, "pci_save_state" },
	{ 0x57bc19d2, "down_write" },
	{ 0x62d268d6, "dma_map_page_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x349cba85, "strchr" },
	{ 0x38baaf9d, "kmem_cache_alloc_noprof" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xca2ad352, "pm_vt_switch_required" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x55e657bd, "dma_unmap_page_attrs" },
	{ 0x1ca6c20a, "__tracepoint_mmap_lock_released" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x246d38b9, "dma_buf_get" },
	{ 0xb29f1d19, "__free_pages" },
	{ 0x64aeeaa7, "param_ops_charp" },
	{ 0xc08f3b84, "dma_buf_put" },
	{ 0x745a363, "crypto_alloc_akcipher" },
	{ 0x102fe6de, "hrtimer_cancel" },
	{ 0x2eeed7c5, "filp_open" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7481541e, "set_pages_array_uc" },
	{ 0x202b3b08, "dma_map_sg_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x254dcc05, "follow_pfnmap_start" },
	{ 0xc2cec0e6, "pci_unregister_driver" },
	{ 0xa42d59e3, "address_space_init_once" },
	{ 0x10ae65d8, "vmalloc_to_page" },
	{ 0x1dafd525, "wake_up_process" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x3ad6487e, "crypto_shash_setkey" },
	{ 0xc12e3f8, "proc_remove" },
	{ 0x96642e3b, "dma_unmap_sg_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xbcc12c67, "dma_buf_fd" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0x23038a6b, "pci_clear_master" },
	{ 0x4db4198, "i2c_del_adapter" },
	{ 0x19a17f4, "pin_user_pages" },
	{ 0xccc46fc3, "hv_get_isolation_type" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9a983c8, "pci_release_resource" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0xa3141a9a, "__mmap_lock_do_trace_released" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb7ced1fc, "pci_iounmap" },
	{ 0xbed4b5fa, "iterate_fd" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa93ed867, "cdev_init" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "DF31DC395A24AB11E73A07C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
